%define module_name TAP-Formatter-Camelcade
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Harness.pm) perl(Test/Simple.pm) perl(Time/HiRes.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: Converts test events from TAP::Harness to the TeamCity format
Group: Development/Perl
License: perl
URL: https://github.com/Camelcade/TAP-Formatter-Camelcade

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HU/HURRICUP/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
[![Build Status](https://travis-ci.org/Camelcade/TAP-Formatter-Camelcade.svg?branch=master)](https://travis-ci.org/Camelcade/TAP-Formatter-Camelcade)

Converts test events from TAP::Harness to the TeamCity format

For using with [Perl5 plugin for IntelliJ products](https://github.com/Camelcade/Perl5-IDEA). Not tested for standalone usage on the TeamCity.

- Packaged with [Dist::Zilla](https://github.com/rjbs/Dist-Zilla)
- CI with [TravisCI](https://travis-ci.org/) and [perl-helpers](https://github.com/travis-perl/helpers)

## See also

- [TAP::Formatter::TeamCity](https://github.com/maxmind/TAP-Formatter-TeamCity)
- [Test::Harness](https://github.com/Perl-Toolchain-Gang/Test-Harness)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- updated by package builder

* Thu Mar 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- updated by package builder

* Wed Mar 13 2019 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- updated by package builder

* Tue Mar 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- updated by package builder

* Mon Mar 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- updated by package builder

* Sun Mar 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

